CreateConnector - ApplicationMigrationService

CreateConnector

Create Connector.

Request Syntax

POST /CreateConnector HTTP/1.1 Content-type: application/json { "name": "string", "ssmCommandConfig": { "cloudWatchLogGroupName": "string", "cloudWatchOutputEnabled": boolean, "outputS3BucketName": "string", "s3OutputEnabled": boolean }, "ssmInstanceID": "string", "tags": { "string" : "string" } }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

name

Create Connector request name.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [A-Za-z0-9_-]+

Required: Yes

ssmCommandConfig

Create Connector request SSM command config.

Type: ConnectorSsmCommandConfig object

Required: No

ssmInstanceID

Create Connector request SSM instance ID.

Type: String

Length Constraints: Minimum length of 19. Maximum length of 20.

Pattern: .*(^i-[0-9a-zA-Z]{17}$)|(^mi-[0-9a-zA-Z]{17}$).*

Required: Yes

tags

Create Connector request tags.

Type: String to string map

Map Entries: Minimum number of 0 items. Maximum number of 50 items.

Key Length Constraints: Minimum length of 0. Maximum length of 256.

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Required: No

Response Syntax

HTTP/1.1 201 Content-type: application/json { "arn": "string", "connectorID": "string", "name": "string", "ssmCommandConfig": { "cloudWatchLogGroupName": "string", "cloudWatchOutputEnabled": boolean, "outputS3BucketName": "string", "s3OutputEnabled": boolean }, "ssmInstanceID": "string", "tags": { "string" : "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

arn

Connector arn.

Type: String

Length Constraints: Minimum length of 20. Maximum length of 2048.

connectorID

Connector ID.

Type: String

Length Constraints: Fixed length of 27.

Pattern: connector-[0-9a-zA-Z]{17}

name

Connector name.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [A-Za-z0-9_-]+

ssmCommandConfig

Connector SSM command config.

Type: ConnectorSsmCommandConfig object

ssmInstanceID

Connector SSM instance ID.

Type: String

Length Constraints: Minimum length of 19. Maximum length of 20.

Pattern: .*(^i-[0-9a-zA-Z]{17}$)|(^mi-[0-9a-zA-Z]{17}$).*

tags

Connector tags.

Type: String to string map

Map Entries: Minimum number of 0 items. Maximum number of 50 items.

Key Length Constraints: Minimum length of 0. Maximum length of 256.

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Errors

For information about the errors that are common to all actions, see Common Error Types.

UninitializedAccountException

Uninitialized account exception.

HTTP Status Code: 400

ValidationException

Validate exception.

fieldList

Validate exception field list.

reason

Validate exception reason.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: